Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.dynamictree.model.impl
Class ModelPackageImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.EPackageImpl
                                  org.eclipse.emf.ecp.view.dynamictree.model.impl.ModelPackageImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder, ModelPackage

    public class ModelPackageImpl

extends org.eclipse.emf.ecore.impl.EPackageImpl
implements ModelPackage

An implementation of the model Package.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecp.view.dynamictree.model.ModelPackage
`ModelPackage.Literals`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from interface org.eclipse.emf.ecp.view.dynamictree.model.ModelPackage
`DOMAIN_INTERMEDIATE, DOMAIN_INTERMEDIATE__TEST_ELEMENT_CONTAINER, DOMAIN_INTERMEDIATE_FEATURE_COUNT, DOMAIN_ROOT, DOMAIN_ROOT__INTERMEDIATE, DOMAIN_ROOT_FEATURE_COUNT, DYNAMIC_CONTAINMENT_ITEM, DYNAMIC_CONTAINMENT_ITEM__ATTACHMENTS, DYNAMIC_CONTAINMENT_ITEM__BASE_ITEM_INDEX, DYNAMIC_CONTAINMENT_ITEM__COMPOSITE, DYNAMIC_CONTAINMENT_ITEM__DIAGNOSTIC, DYNAMIC_CONTAINMENT_ITEM__DOMAIN_MODEL, DYNAMIC_CONTAINMENT_ITEM__ENABLED, DYNAMIC_CONTAINMENT_ITEM__ITEMS, DYNAMIC_CONTAINMENT_ITEM__LABEL_OBJECT, DYNAMIC_CONTAINMENT_ITEM__NAME, DYNAMIC_CONTAINMENT_ITEM__READONLY, DYNAMIC_CONTAINMENT_ITEM__VISIBLE, DYNAMIC_CONTAINMENT_ITEM_FEATURE_COUNT, DYNAMIC_CONTAINMENT_TREE, DYNAMIC_CONTAINMENT_TREE__ACTIONS, DYNAMIC_CONTAINMENT_TREE__ATTACHMENTS, DYNAMIC_CONTAINMENT_TREE__CHILD_COMPOSITE, DYNAMIC_CONTAINMENT_TREE__CHILD_REFERENCE, DYNAMIC_CONTAINMENT_TREE__COMPOSITE, DYNAMIC_CONTAINMENT_TREE__DIAGNOSTIC, DYNAMIC_CONTAINMENT_TREE__DOMAIN_MODEL, DYNAMIC_CONTAINMENT_TREE__ENABLED, DYNAMIC_CONTAINMENT_TREE__ITEMS, DYNAMIC_CONTAINMENT_TREE__LABEL_OBJECT, DYNAMIC_CONTAINMENT_TREE__NAME, DYNAMIC_CONTAINMENT_TREE__PATH_TO_ROOT, DYNAMIC_CONTAINMENT_TREE__READONLY, DYNAMIC_CONTAINMENT_TREE__VISIBLE, DYNAMIC_CONTAINMENT_TREE_DOMAIN_MODEL_REFERENCE, DYNAMIC_CONTAINMENT_TREE_DOMAIN_MODEL_REFERENCE__CHANGE_LISTENER, DYNAMIC_CONTAINMENT_TREE_DOMAIN_MODEL_REFERENCE__PATH_FROM_BASE, DYNAMIC_CONTAINMENT_TREE_DOMAIN_MODEL_REFERENCE__PATH_FROM_ROOT, DYNAMIC_CONTAINMENT_TREE_DOMAIN_MODEL_REFERENCE_FEATURE_COUNT, DYNAMIC_CONTAINMENT_TREE_FEATURE_COUNT, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, TEST_ELEMENT, TEST_ELEMENT__ELEMENTS, TEST_ELEMENT__ID, TEST_ELEMENT__NAME, TEST_ELEMENT__PARENT_ID, TEST_ELEMENT_CONTAINER, TEST_ELEMENT_CONTAINER__ID, TEST_ELEMENT_CONTAINER__TEST_ELEMENTS, TEST_ELEMENT_CONTAINER_FEATURE_COUNT, TEST_ELEMENT_FEATURE_COUNT`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`void` | `createPackageContents()` Creates the meta-model objects for the package.
`org.eclipse.emf.ecore.EReference` | `getDomainIntermediate_TestElementContainer()`
`org.eclipse.emf.ecore.EClass` | `getDomainIntermediate()`
`org.eclipse.emf.ecore.EReference` | `getDomainRoot_Intermediate()`
`org.eclipse.emf.ecore.EClass` | `getDomainRoot()`
`org.eclipse.emf.ecore.EAttribute` | `getDynamicContainmentItem_BaseItemIndex()`
`org.eclipse.emf.ecore.EReference` | `getDynamicContainmentItem_Composite()`
`org.eclipse.emf.ecore.EReference` | `getDynamicContainmentItem_DomainModel()`
`org.eclipse.emf.ecore.EReference` | `getDynamicContainmentItem_Items()`
`org.eclipse.emf.ecore.EClass` | `getDynamicContainmentItem()`
`org.eclipse.emf.ecore.EReference` | `getDynamicContainmentTree_ChildComposite()`
`org.eclipse.emf.ecore.EReference` | `getDynamicContainmentTree_ChildReference()`
`org.eclipse.emf.ecore.EReference` | `getDynamicContainmentTree_DomainModel()`
`org.eclipse.emf.ecore.EReference` | `getDynamicContainmentTree_Items()`
`org.eclipse.emf.ecore.EReference` | `getDynamicContainmentTree_PathToRoot()`
`org.eclipse.emf.ecore.EClass` | `getDynamicContainmentTree()`
`org.eclipse.emf.ecore.EReference` | `getDynamicContainmentTreeDomainModelReference_PathFromBase()`
`org.eclipse.emf.ecore.EReference` | `getDynamicContainmentTreeDomainModelReference_PathFromRoot()`
`org.eclipse.emf.ecore.EClass` | `getDynamicContainmentTreeDomainModelReference()`
`ModelFactory` | `getModelFactory()`
`org.eclipse.emf.ecore.EReference` | `getTestElement_Elements()`
`org.eclipse.emf.ecore.EAttribute` | `getTestElement_Id()`
`org.eclipse.emf.ecore.EAttribute` | `getTestElement_Name()`
`org.eclipse.emf.ecore.EAttribute` | `getTestElement_ParentId()`
`org.eclipse.emf.ecore.EClass` | `getTestElement()`
`org.eclipse.emf.ecore.EAttribute` | `getTestElementContainer_Id()`
`org.eclipse.emf.ecore.EReference` | `getTestElementContainer_TestElements()`
`org.eclipse.emf.ecore.EClass` | `getTestElementContainer()`
`static ModelPackage` | `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` | `initializePackageContents()` Complete the initialization of the package and its meta-model.

Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`basicGetESuperPackage, basicSetEFactoryInstance, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eUnset, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, setEFactoryInstance, setExtendedMetaData, setNamespaceURI, setNsPrefix, setNsURI, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eURIFragmentSegment, getEAnnotation, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eClass, eContainerFeatureID, eDeliver, eDirectResource, eIsProxy, eProxyURI, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### init

    public static ModelPackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

  This method is used to initialize `ModelPackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

  See Also:
    `ModelPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

### getDynamicContainmentTree

    public org.eclipse.emf.ecore.EClass getDynamicContainmentTree()

  Specified by:
    `getDynamicContainmentTree` in interface `ModelPackage`
  Returns:
    the meta object for class 'Dynamic Containment Tree'.
  See Also:
    `DynamicContainmentTree`

### getDynamicContainmentTree_DomainModel

    public org.eclipse.emf.ecore.EReference getDynamicContainmentTree_DomainModel()

  Specified by:
    `getDynamicContainmentTree_DomainModel` in interface `ModelPackage`
  Returns:
    the meta object for the reference 'Domain Model'.
  See Also:
    `DynamicContainmentTree.getDomainModel()`, `ModelPackage.getDynamicContainmentTree()`

### getDynamicContainmentTree_ChildReference

    public org.eclipse.emf.ecore.EReference getDynamicContainmentTree_ChildReference()

  Specified by:
    `getDynamicContainmentTree_ChildReference` in interface `ModelPackage`
  Returns:
    the meta object for the reference 'Child Reference'.
  See Also:
    `DynamicContainmentTree.getChildReference()`, `ModelPackage.getDynamicContainmentTree()`

### getDynamicContainmentTree_PathToRoot

    public org.eclipse.emf.ecore.EReference getDynamicContainmentTree_PathToRoot()

  Specified by:
    `getDynamicContainmentTree_PathToRoot` in interface `ModelPackage`
  Returns:
    the meta object for the reference list 'Path To Root'.
  See Also:
    `DynamicContainmentTree.getPathToRoot()`, `ModelPackage.getDynamicContainmentTree()`

### getDynamicContainmentTree_ChildComposite

    public org.eclipse.emf.ecore.EReference getDynamicContainmentTree_ChildComposite()

  Specified by:
    `getDynamicContainmentTree_ChildComposite` in interface `ModelPackage`
  Returns:
    the meta object for the containment reference 'Child Composite'.
  See Also:
    `DynamicContainmentTree.getChildComposite()`, `ModelPackage.getDynamicContainmentTree()`

### getDynamicContainmentTree_Items

    public org.eclipse.emf.ecore.EReference getDynamicContainmentTree_Items()

  Specified by:
    `getDynamicContainmentTree_Items` in interface `ModelPackage`
  Returns:
    the meta object for the containment reference list 'Items'.
  See Also:
    `DynamicContainmentTree.getItems()`, `ModelPackage.getDynamicContainmentTree()`

### getDynamicContainmentItem

    public org.eclipse.emf.ecore.EClass getDynamicContainmentItem()

  Specified by:
    `getDynamicContainmentItem` in interface `ModelPackage`
  Returns:
    the meta object for class 'Dynamic Containment Item'.
  See Also:
    `DynamicContainmentItem`

### getDynamicContainmentItem_DomainModel

    public org.eclipse.emf.ecore.EReference getDynamicContainmentItem_DomainModel()

  Specified by:
    `getDynamicContainmentItem_DomainModel` in interface `ModelPackage`
  Returns:
    the meta object for the reference 'Domain Model'.
  See Also:
    `DynamicContainmentItem.getDomainModel()`, `ModelPackage.getDynamicContainmentItem()`

### getDynamicContainmentItem_Items

    public org.eclipse.emf.ecore.EReference getDynamicContainmentItem_Items()

  Specified by:
    `getDynamicContainmentItem_Items` in interface `ModelPackage`
  Returns:
    the meta object for the containment reference list 'Items'.
  See Also:
    `DynamicContainmentItem.getItems()`, `ModelPackage.getDynamicContainmentItem()`

### getDynamicContainmentItem_Composite

    public org.eclipse.emf.ecore.EReference getDynamicContainmentItem_Composite()

  Specified by:
    `getDynamicContainmentItem_Composite` in interface `ModelPackage`
  Returns:
    the meta object for the containment reference 'Composite'.
  See Also:
    `DynamicContainmentItem.getComposite()`, `ModelPackage.getDynamicContainmentItem()`

### getDynamicContainmentItem_BaseItemIndex

    public org.eclipse.emf.ecore.EAttribute getDynamicContainmentItem_BaseItemIndex()

  Specified by:
    `getDynamicContainmentItem_BaseItemIndex` in interface `ModelPackage`
  Returns:
    the meta object for the attribute 'Base Item Index'.
  See Also:
    `DynamicContainmentItem.getBaseItemIndex()`, `ModelPackage.getDynamicContainmentItem()`

### getTestElement

    public org.eclipse.emf.ecore.EClass getTestElement()

  Specified by:
    `getTestElement` in interface `ModelPackage`
  Returns:
    the meta object for class 'Test Element'.
  See Also:
    `TestElement`

### getTestElement_Id

    public org.eclipse.emf.ecore.EAttribute getTestElement_Id()

  Specified by:
    `getTestElement_Id` in interface `ModelPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `TestElement.getId()`, `ModelPackage.getTestElement()`

### getTestElement_Elements

    public org.eclipse.emf.ecore.EReference getTestElement_Elements()

  Specified by:
    `getTestElement_Elements` in interface `ModelPackage`
  Returns:
    the meta object for the containment reference list 'Elements'.
  See Also:
    `TestElement.getElements()`, `ModelPackage.getTestElement()`

### getTestElement_ParentId

    public org.eclipse.emf.ecore.EAttribute getTestElement_ParentId()

  Specified by:
    `getTestElement_ParentId` in interface `ModelPackage`
  Returns:
    the meta object for the attribute 'Parent Id'.
  See Also:
    `TestElement.getParentId()`, `ModelPackage.getTestElement()`

### getTestElement_Name

    public org.eclipse.emf.ecore.EAttribute getTestElement_Name()

  Specified by:
    `getTestElement_Name` in interface `ModelPackage`
  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `TestElement.getName()`, `ModelPackage.getTestElement()`

### getDomainRoot

    public org.eclipse.emf.ecore.EClass getDomainRoot()

  Specified by:
    `getDomainRoot` in interface `ModelPackage`
  Returns:
    the meta object for class 'Domain Root'.
  See Also:
    `DomainRoot`

### getDomainRoot_Intermediate

    public org.eclipse.emf.ecore.EReference getDomainRoot_Intermediate()

  Specified by:
    `getDomainRoot_Intermediate` in interface `ModelPackage`
  Returns:
    the meta object for the containment reference 'Intermediate'.
  See Also:
    `DomainRoot.getIntermediate()`, `ModelPackage.getDomainRoot()`

### getDomainIntermediate

    public org.eclipse.emf.ecore.EClass getDomainIntermediate()

  Specified by:
    `getDomainIntermediate` in interface `ModelPackage`
  Returns:
    the meta object for class 'Domain Intermediate'.
  See Also:
    `DomainIntermediate`

### getDomainIntermediate_TestElementContainer

    public org.eclipse.emf.ecore.EReference getDomainIntermediate_TestElementContainer()

  Specified by:
    `getDomainIntermediate_TestElementContainer` in interface `ModelPackage`
  Returns:
    the meta object for the containment reference 'Test Element Container'.
  See Also:
    `DomainIntermediate.getTestElementContainer()`, `ModelPackage.getDomainIntermediate()`

### getTestElementContainer

    public org.eclipse.emf.ecore.EClass getTestElementContainer()

  Specified by:
    `getTestElementContainer` in interface `ModelPackage`
  Returns:
    the meta object for class 'Test Element Container'.
  See Also:
    `TestElementContainer`

### getTestElementContainer_TestElements

    public org.eclipse.emf.ecore.EReference getTestElementContainer_TestElements()

  Specified by:
    `getTestElementContainer_TestElements` in interface `ModelPackage`
  Returns:
    the meta object for the containment reference list 'Test Elements'.
  See Also:
    `TestElementContainer.getTestElements()`, `ModelPackage.getTestElementContainer()`

### getTestElementContainer_Id

    public org.eclipse.emf.ecore.EAttribute getTestElementContainer_Id()

  Specified by:
    `getTestElementContainer_Id` in interface `ModelPackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `TestElementContainer.getId()`, `ModelPackage.getTestElementContainer()`

### getDynamicContainmentTreeDomainModelReference

    public org.eclipse.emf.ecore.EClass getDynamicContainmentTreeDomainModelReference()

  Specified by:
    `getDynamicContainmentTreeDomainModelReference` in interface `ModelPackage`
  Returns:
    the meta object for class 'Dynamic Containment Tree Domain Model Reference'.
  See Also:
    `DynamicContainmentTreeDomainModelReference`

### getDynamicContainmentTreeDomainModelReference_PathFromRoot

    public org.eclipse.emf.ecore.EReference getDynamicContainmentTreeDomainModelReference_PathFromRoot()

  Specified by:
    `getDynamicContainmentTreeDomainModelReference_PathFromRoot` in interface `ModelPackage`
  Returns:
    the meta object for the containment reference 'Path From Root'.
  See Also:
    `DynamicContainmentTreeDomainModelReference.getPathFromRoot()`, `ModelPackage.getDynamicContainmentTreeDomainModelReference()`

### getDynamicContainmentTreeDomainModelReference_PathFromBase

    public org.eclipse.emf.ecore.EReference getDynamicContainmentTreeDomainModelReference_PathFromBase()

  Specified by:
    `getDynamicContainmentTreeDomainModelReference_PathFromBase` in interface `ModelPackage`
  Returns:
    the meta object for the containment reference 'Path From Base'.
  See Also:
    `DynamicContainmentTreeDomainModelReference.getPathFromBase()`, `ModelPackage.getDynamicContainmentTreeDomainModelReference()`

### getModelFactory

    public ModelFactory getModelFactory()

  Specified by:
    `getModelFactory` in interface `ModelPackage`
  Returns:
    the factory that creates the instances of the model.

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.